### Enumeration

# Soup MessageFlags

#### Declaration

    flags Soup.MessageFlags

#### Description [src]

Various flags that can be set on a `SoupMessage` to alter its behavior.

#### Members

`SOUP_MESSAGE_NO_REDIRECT`

  The session should not follow redirect (3xx) responses received by this message.

  - Value: `2`
  - Available since: 3.0
`SOUP_MESSAGE_NEW_CONNECTION`

  Requests that the message should be sent on a newly-created connection, not reusing an existing persistent connection. Note that messages with non-idempotent `SoupMessage:method`s behave this way by default, unless #SOUP_MESSAGE_IDEMPOTENT is set.

  - Value: `4`
  - Available since: 3.0
`SOUP_MESSAGE_IDEMPOTENT`

  The message is considered idempotent, regardless its `SoupMessage:method`, and allows reuse of existing idle connections, instead of always requiring a new one, unless #SOUP_MESSAGE_NEW_CONNECTION is set.

  - Value: `8`
  - Available since: 3.0
`SOUP_MESSAGE_DO_NOT_USE_AUTH_CACHE`

  The `SoupAuthManager` should not use the credentials cache for this message, neither to use cached credentials to automatically authenticate this message nor to cache the credentials after the message is successfully authenticated. This applies to both server and proxy authentication. Note that `SoupMessage::authenticate` signal will be emitted, if you want to disable authentication for a message use `soup_message_disable_feature()` passing #SOUP_TYPE_AUTH_MANAGER instead.

  - Value: `16`
  - Available since: 3.0
`SOUP_MESSAGE_COLLECT_METRICS`

  Metrics will be collected for this message.

  - Value: `32`
  - Available since: 3.0